Package Details: rtl8821au-dkms-git 5.8.2.3.r75.ga02117b-1

Git Clone URL: https://aur.archlinux.org/rtl8821au-dkms-git.git (read-only, click to copy)
Package Base: rtl8821au-dkms-git
Description: rtl8821AU and rtl8811AU chipset driver with firmware v5.8.2.3
Upstream URL: https://github.com/morrownr/8821au
Licenses: GPL2
Conflicts: 8821au
Submitter: zebulon
Maintainer: zebulon
Last Packager: zebulon
Votes: 46
Popularity: 0.27
First Submitted: 2017-09-12 06:28
Last Updated: 2021-06-09 20:38

Dependencies (3)

Required by (0)

Sources (2)

Pinned Comments

zebulon commented on 2019-10-01 06:18

To all having an issue with this driver: please try https://aur.archlinux.org/packages/rtl88xxau-aircrack-dkms-git alternatively.

solstice commented on 2019-03-17 10:59

a patch to make it work for rpi and may be other ARM device:

--- PKGBUILD.old    2019-03-15 20:08:05.345042676 +0100
+++ PKGBUILD    2019-03-15 20:04:24.390294977 +0100
@@ -32,4 +32,10 @@
         sed -e "s/@_PKGBASE@/${_pkgbase}-dkms/" \
                         -e "s/@PKGVER@/${pkgver}/" \
                         -i "${pkgdir}"/usr/src/${_pkgbase}-${pkgver}/dkms.conf
+
+   # patch Makefile for RPI
+   sed -i '/^CONFIG_PLATFORM_I386_PC/s/y/n/' ${pkgdir}/usr/src/${_pkgbase}-${pkgver}/Makefile
+   sed -i '/^CONFIG_PLATFORM_ARM_RPI/s/n/y/' ${pkgdir}/usr/src/${_pkgbase}-${pkgver}/Makefile
+   # disable debug code with __DATE__ macro (TODO: proper fix ?)
+   sed -i '/__DATE__/s/^/\/\//' ${pkgdir}/usr/src/${_pkgbase}-${pkgver}/core/rtw_debug.c
 }

Note: I am seeing the interface of the usb wifi key marketed as DEEPOW dongle (from amazon) changing MAC address at every boot even though I have not set up anything like that in netctl, here.

I don't know if it's a hardware problem or driver problem. However, it's the same with rtl88xxau-aircrack-dkms-git driver

Latest Comments

1 2 3 4 5 6 ... Next › Last »

zebulon commented on 2021-06-09 08:51

@leo95: indeed, thanks for the notice. Will do this by tomorrow.

leo95 commented on 2021-06-08 17:59

@zebulon you need to change the module name from 8812au to 8821au in the dkms.conf

zebulon commented on 2021-06-01 04:23

I have updated the package to 5.8.2.3 as recommended. Please let me know if this works - and if there is any advantage over the aircrack version.

zebulon commented on 2021-06-01 04:06

Just received an Orphan request from leo95: as requested I can update the source to using https://github.com/morrownr/8821au as recommended, but this is different from an Orphan. Please let me know if you would like to maintain this.

Casper commented on 2021-05-28 08:45

@zebulon rtl8821au was the first module that I have tried for my usb wifi adapter. It stopped working after latest system upgrade. Unfortunately don't remember where and how I found that rtl8821au is compatible with my device.

zebulon commented on 2021-05-28 07:46

@Casper: thanks for reporting. This makes me think that this package should probably be now deprecated and users of rtl8821au should use now the aircrack version. I will add a note on the Wiki about rtl8821cu devices. Can you confirm that your device is mislabelled rtl8821au? In other words, what made you think you needed 8821au driver?

Casper commented on 2021-05-27 08:43

@zebulon, thank you very much. With the patch works perfectly.

zebulon commented on 2021-05-27 08:10

@Casper: for the brektrou driver, there is a patch bringing compatibility with 5.12: https://github.com/brektrou/rtl8821CU/pull/134/commits/d4a3d37441a3a17064eeebada09c30c264b44b23. Until it is approved and merged, you need to patch those sources yourself.

zebulon commented on 2021-05-26 15:51

@Casper: see also https://askubuntu.com/questions/1162974/wireless-usb-adapter-0bdac811-realtek-semiconductor-corp for a discussion about 8821cu. By the way, there is a PKGBUILD on AUR for the brektrou driver: https://aur.archlinux.org/packages/rtl8821cu-dkms-git/

zebulon commented on 2021-05-26 15:49

@Casper: I see your Device ID in the Github Issue report: 0bda:c811. Seems that from reading https://github.com/aircrack-ng/rtl8812au/issues/721 you may have an RTL8821CU. Can you look if: https://github.com/ulli-kroll/rtl8821cu or https://github.com/brektrou/rtl8821CU compile and work for you?